function signal = gnSymbol(txBits,ModuSize,T,Es,Nt,ModuMethod)

signal=zeros(Nt, T);

R=log2(ModuSize);
txSymbols = zeros(1, length(txBits)/R);
for t=1:length(txSymbols)
    txSymbols(t) = sum( 2.^[R-1:-1:0] .* txBits((t-1)*R+1:t*R) );
end

for nt=1: Nt
    signal(nt,:)=txSymbols(nt:Nt:T*Nt);   
end 

%   y = dmodce(x,Fd,Fs,...)
%   The sampling rates in hertz of x and y, respectively, are Fd and Fs. 
%   (Thus 1/Fd represents the time interval between two consecutive samples 
%   in x, and similarly for y.) The ratio Fs/Fd must be a positive integer. 
%   The initial phase in the modulation is zero. 
Fd=1;
Fs=1;
%signal = sqrt(Es) * (signal*2-1);%dmodce(signal,Fd,Fs,moduMethod,cardinality);
signal = sqrt(Es) * dmodce(signal,Fd,Fs,ModuMethod,ModuSize);