function dispResults(EbNoR_n, EbNoR_dB, bitSent, benSum, berSum, wrdSent, wenSum, werSum, SimuPara)

fprintf('========================= Eb/N0 = %5.2f db =========================\n', EbNoR_dB(EbNoR_n));
disp(['Bits (Words) sent:  ' num2str([wrdSent(EbNoR_n)*SimuPara.infoBitsLength, wrdSent(EbNoR_n)])])
for iter = 1:SimuPara.iterSuper
    fprintf('============================ Super-Iteration %d ============================ \n', iter);
    fprintf('Bit Error Rate (Turbo-Iteration 1 to %d):\n', SimuPara.iterTurbo);
    disp(berSum(EbNoR_n,:,iter));
    fprintf('Word Error Rate (Turbo-Iteration 1 to %d):\n', SimuPara.iterTurbo);
    disp(werSum(EbNoR_n,:,iter));
end
fprintf('================================ All results ================================ \n');
disp([  EbNoR_dB(1:EbNoR_n)'; 
        bitSent(1:EbNoR_n); benSum(1:EbNoR_n,end,end)'; berSum(1:EbNoR_n,end,end)'; ...
        zeros(1,EbNoR_n); ...
        wrdSent(1:EbNoR_n);  wenSum(1:EbNoR_n,end,end)'; werSum(1:EbNoR_n,end,end)']);
